NotaryLive API - Order Files

Page last updated: October 30, 2026

Retrieving Order Files

Once a session has been notarized, you can download all of its files in a single .zip file. Below is an example of how to download the files:

response=$(curl -X GET "https://notarylive.com/api/v3/order/files" \
    -H 'Content-Type: application/json' \
    -u 'your_api_id:your_api_key' \
    -d '{"order_id":"your_identifier_here"}' \
    --write-out "%{http_code}" \
    --silent --output ~/Downloads/testZip.zip)

http_code=$(tail -n1 <<< "$response")

if [ "$http_code" -eq 200 ]; then
    echo "Download initiated and saved as testZip.zip"
else
    response=$(cat ~/Downloads/testZip.zip)
    echo "Failed to download. Server response: $response"
    rm ~/Downloads/testZip.zip
fi

To authenticate with OAuth 2.0 instead of your API ID and API key, see our OAuth 2.0 documentation.


Validation Failures

Invalid credentials will return a 401 response with the message: HTTP/1.0 401 Unauthorized

Invalid or missing payload data will return a 403 HTTP response with a JSON body containing success = 0 as well as an array of errors containing both a standardized error code, as well as a human-readable description of what caused the error:

If you continue having issues, please take a look at our troubleshooting guide.

{
          "success": 0,
          "errors": [
            {
              "code": "no_identifier_submitted",
              "message": "This endpoint requires either a nl_order_id, a order_id or a whitelabel_token parameter to identify the order"
            }
          ]
        }

Requesting files before the session has been notarized will return a 403 HTTP response with the error code session_not_notarized:

{
          "success": 0,
          "errors": [
            {
              "code": "session_not_notarized",
              "message": "This session has not been notarized. Please check again later."
            }
          ]
        }

If no notarized documents are found for the session, the request will return a 403 HTTP response with the error code documents_not_found:

{
            "success": 0,
            "errors": [
              {
                "code": "documents_not_found",
                "message": "No notarized documents were found for this session. Please contact support for assistance."
              }
            ]
          }

If any of the documents cannot be retrieved, the request will return a 403 HTTP response with the error code file_download_failed rather than a partial download. Please try the request again later:

{
          "success": 0,
          "errors": [
            {
              "code": "file_download_failed",
              "message": "One or more files could not be retrieved. Please try again later."
            }
          ]
        }

Folder Structure

On a successful request, the unzipped download will look like this:

documents/
    1-your_document.pdf
    2-your_other_document.pdf
proof_of_address/
    proof_of_address-1.pdf
ids/
    participant-1-id-front.jpg
    participant-1-id-back.jpg
audit_trail.csv

The proof_of_address folder is only included for orders that require proof of address, and the ids folder is only included if enabled for your account. ID types without a back image, such as passport books, will only include the front image.


Copyright © 2026, NotaryLive.com